> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staking Requests For Role In Org

> Lists staking requests for a roleInOrg (default the caller) with optional status filters.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-staking-requests-for-role-in-org
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-staking-requests-for-role-in-org:
    post:
      operationId: getStakingRequestsForRoleInOrg
      summary: Get Staking Requests For Role In Org
      description: >-
        Lists staking requests for a roleInOrg (default the caller) with
        optional status filters.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetStakingRequestsForRoleInOrgRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStakingRequestsForRoleInOrgResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetStakingRequestsForRoleInOrgRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        statusFilters:
          type: array
          items:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          maxItems: 20
    GetStakingRequestsForRoleInOrgResponse:
      type: array
      items:
        type: object
        properties:
          stakingRequestID:
            type: string
          stakingConfigurationID:
            type: string
          roleInOrgID:
            type: string
          stakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingBalance:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingStartDate:
            type: string
          stakingStatus:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          createdAt:
            type: string
          grantID:
            type: string
          updatedAt:
            type: string
          stakingDistributionID:
            type:
              - string
              - 'null'
          grant:
            type: object
            properties:
              grantName:
                type: string
              grantID:
                type: string
              grantAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            required:
              - grantName
              - grantID
              - grantAmount
          unstakingRequests:
            type: array
            items:
              type: object
              properties:
                unstakingRequestID:
                  type: string
                stakingRequestID:
                  type: string
                unstakingAmount:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                unstakingDate:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
                status:
                  type: string
                  enum:
                    - DRAFT
                    - PENDING
                    - APPROVED
                    - REJECTED
                    - CANCELLED
                    - IN_STAKING
                    - UNSTAKE_REQUEST_PLACED
                    - STAKING_PERIOD_COMPLETED
                    - COMPLETED
                roleInOrgID:
                  type: string
              required:
                - unstakingRequestID
                - stakingRequestID
                - unstakingAmount
                - unstakingDate
                - createdAt
                - updatedAt
                - status
                - roleInOrgID
          stakingConfiguration:
            type: object
            properties:
              stakingConfigurationID:
                type: string
              orgID:
                type: string
              maxStakePercentage:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              bufferPeriod:
                type: integer
              cooldownPeriod:
                type: integer
              versionNumber:
                type: integer
              createdAt:
                type: string
              updatedAt:
                type: string
              isCurrent:
                type: boolean
              stakingTypesEnabled:
                type: array
                items:
                  type: string
                  enum:
                    - UNVESTED_LOCKED_TOKENS
                    - UNVESTED_UNLOCKED_TOKENS
                    - VESTED_LOCKED_TOKENS
            required:
              - stakingConfigurationID
              - orgID
              - maxStakePercentage
              - bufferPeriod
              - cooldownPeriod
              - versionNumber
              - createdAt
              - updatedAt
              - isCurrent
              - stakingTypesEnabled
        required:
          - stakingRequestID
          - stakingConfigurationID
          - roleInOrgID
          - stakingAmount
          - stakingBalance
          - stakingStartDate
          - stakingStatus
          - createdAt
          - grantID
          - updatedAt
          - stakingDistributionID
          - grant
          - unstakingRequests
          - stakingConfiguration
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
